Summary:	An old-school polyphonic additive synthesizer
Name:		padthv1
Version:	0.9.19
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Midi
URL:		https://padthv1.sourceforge.io
Source0:	https://sourceforge.net/projects/padthv1/files/padthv1/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(liblo)
BuildRequires:	pkgconfig(lv2)

%description
padthv1 is an old-school polyphonic additive synthesizer with stereo fx.
padthv1 is based on the PADsynth algorithm by Paul Nasca, as a special
variant of additive synthesis.

Features:
  * a pure stand-alone JACK client with JACK-session, NSM (Non Session
    management) and both JACK MIDI and ALSA MIDI input support.
  * a LV2 instrument plug-in.
    URI: http://padthv1.sourceforge.net/lv2

%files
%doc AUTHORS ChangeLog README TODO
%license COPYING
%{_bindir}/%{name}_jack
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/mimetypes/application-x-%{name}-*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-*.svg
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*

#--------------------------------------------------------------------

%define lv2name	lv2-%{name}

%package -n	%{lv2name}
Summary:	Synthesizer LV2 plugin for %{name}
Group:		Sound/Midi
Requires:	%{name} = %{version}

%description -n	%{lv2name}
padthv1 is an old-school polyphonic additive synthesizer with stereo fx.
padthv1 is based on the PADsynth algorithm by Paul Nasca, as a special
variant of additive synthesis.

%files -n %{lv2name}
%{_libdir}/lv2/%{name}.lv2/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-debug
%make_build

%install
%make_install

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Dec 22 2020 daviddavid <daviddavid> 0.9.19-1.mga8
+ Revision: 1662729
- new version: 0.9.19

* Thu Dec 17 2020 umeabot <umeabot> 0.9.18-2.mga8
+ Revision: 1659279
- Rebuild for new Qt5

* Tue Nov 03 2020 daviddavid <daviddavid> 0.9.18-1.mga8
+ Revision: 1642395
- new version: 0.9.18

* Fri Sep 11 2020 daviddavid <daviddavid> 0.9.17-1.mga8
+ Revision: 1624663
- new version: 0.9.17

* Tue Aug 11 2020 daviddavid <daviddavid> 0.9.16-1.mga8
+ Revision: 1613196
- new version: 0.9.16

* Tue Jun 30 2020 daviddavid <daviddavid> 0.9.15-1.mga8
+ Revision: 1600588
- new version: 0.9.15

* Tue May 12 2020 daviddavid <daviddavid> 0.9.14-1.mga8
+ Revision: 1583238
- new version: 0.9.14
+ danf <danf>
- Switch URLs from http: to https:

* Sun Mar 29 2020 daviddavid <daviddavid> 0.9.13-1.mga8
+ Revision: 1562087
- new version: 0.9.13

* Wed Feb 19 2020 umeabot <umeabot> 0.9.12-2.mga8
+ Revision: 1542921
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 08 2020 daviddavid <daviddavid> 0.9.12-1.mga8
+ Revision: 1477238
- new version: 0.9.12

* Sun Dec 22 2019 daviddavid <daviddavid> 0.9.11-1.mga8
+ Revision: 1469593
- new version: 0.9.11
- the former shared common core and UI package is now duplicated but
  statically linked though, so remove shared libraries

* Thu Oct 17 2019 daviddavid <daviddavid> 0.9.10-1.mga8
+ Revision: 1454280
- new version: 0.9.10

* Mon Sep 02 2019 daviddavid <daviddavid> 0.9.9-1.mga8
+ Revision: 1436319
- new version: 0.9.9

* Wed Apr 17 2019 daviddavid <daviddavid> 0.9.7-1.mga7
+ Revision: 1391894
- new version: 0.9.7

* Fri Apr 12 2019 daviddavid <daviddavid> 0.9.6-1.mga7
+ Revision: 1389333
- initial package padthv1

